package cn.com.poc.law.service;

import cn.com.poc.law.dto.TemplateCallDto;
import cn.com.poc.law.dto.TemplateDataDetailDto;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateDataEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiLawyerWritingTemplateDataService extends BaseService {

    BizAiLawyerWritingTemplateDataEntity get(java.lang.Integer id) throws Exception;

    List<BizAiLawyerWritingTemplateDataEntity> findByExample(BizAiLawyerWritingTemplateDataEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiLawyerWritingTemplateDataEntity save(BizAiLawyerWritingTemplateDataEntity entity) throws Exception;

    BizAiLawyerWritingTemplateDataEntity update(BizAiLawyerWritingTemplateDataEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    void updateTemplateData(Long recordId, String data) throws Exception;

    /**
     * 下载模板数据
     * @param recordId
     * @return
     * @throws Exception
     */
    String downloadTemplateData(Long recordId) throws Exception;

    /**
     * 获取模板数据详情
     * @param dialoguesId
     * @param userId
     * @return
     * @throws Exception
     */
    TemplateDataDetailDto getTemplateDataDetail(String dialoguesId, Long userId,boolean ifException) throws Exception;
}